Bug 220936 - Upgrading firefox leaves orphaned directories
Upgrading firefox leaves orphaned directories
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Gecko Maintainer
Depends On:
  Show dependency treegraph
Reported: 2006-12-28 22:26 EST by Braden McDaniel
Modified: 2007-12-12 11:40 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-12-11 16:39:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Braden McDaniel 2006-12-28 22:26:47 EST
Description of problem:
Upgrading from firefox to leaves the directory

Version-Release number of selected component (if applicable):
Comment 1 Nicola Soranzo 2007-05-15 09:17:51 EDT
Usually /usr/lib/firefox-VERSION/plugins/ is left orphaned if you install flash
the plugin.
Comment 2 Matěj Cepl 2007-12-10 04:24:04 EST
Fedora Core 6 is no longer supported, could you please reproduce this with the
updated version of the currently supported distribution (Fedora 7, 8, or
Rawhide)? If this issue turns out to still be reproducible, please let us know
in this bug report. If after a month's time we have not heard back from you, we
will have to close this bug as CANTFIX.

Setting status to NEEDINFO, and awaiting information from the reporter.

[This is mass-filed message to all open Fedora Core 6 bugs related to Xorg or
Gecko. If you see any other reason, why this bug shouldn't be closed, please,
comment on it here.]
Comment 3 Braden McDaniel 2007-12-10 04:52:29 EST
The upgrade from firefox to left the directory
/usr/lib64/firefox- It is empty and (now, at least) unowned.
Comment 4 Matěj Cepl 2007-12-11 11:19:41 EST
Could I get a output of 

ls -R /usr/lib*/firefox-*

command (you can ommit /usr/lib64/firefox-, or attach the file to this
bug if it seems to big for you)?
Comment 5 Braden McDaniel 2007-12-11 12:15:56 EST
I have already manually removed /usr/lib64/firefox- As I said, it was empty.

Aside from that, we have:





Sigh. It looks like nppdf.so comes from AdobeReader. And it is unowned; so not
removed when that rpm is removed. It looks like the AdobeReader install process
copies this file to every spot that looks like Gecko plugin directory.

I don't know that this explains why /usr/lib64/firefox- was left around,
Comment 6 Matěj Cepl 2007-12-11 16:39:14 EST
Yes, it does explain everything. rpm when upgrading/removing package will get
through removing all files owned by the package and then removes all empty
directories. Of course, when the directory is not empty it doesn't remove it
(because apparently somebody else -- either other package, or administrator with
some local customization -- wanted to have something there). This is IMHO The
Right Thing(TM), and it will never ever change. Of course, there are ways around
it (rm -rf in some package scripts), but to the best of my knowledge it won't be
part of any firefox package.

The conclusion is that you should complain with Adobe (BTW, evince is pretty
good these days ;-)). There are ways how to make plugin packages behaving sanely
and it seems that Adobe actually fixed flash-plugin to behave much better, so
your complain with Adobe is not totally hopeless (I don't know if they have any
kind of support for their RPM packages).

For here, unfortunately, I have no other choice than close this as NOTABUG.
Comment 7 Braden McDaniel 2007-12-11 18:26:06 EST
How does this explain why/usr/lib64/firefox- was left around? It was empty; so per what you say 
above, it should have been removed... right?
Comment 8 Matěj Cepl 2007-12-12 05:57:30 EST
Yes, I have no idea. We will recheck it in the following packages.
Comment 9 Christopher Aillon 2007-12-12 06:03:23 EST
Is it possible that the adobe reader plugin did something like wait to remove
the plugin from the directory after firefox finished the uninstall of the older
version?  Not sure really.  But if not, this is probably an rpm bug and not a
firefox bug if empty directories are being left behind by rpm.  I'm guessing
something else is going on though...
Comment 10 Braden McDaniel 2007-12-12 11:40:49 EST
The Adobe plug-in doesn't put anything under /usr/lib64.

Note You need to log in before you can comment on or make changes to this bug.